"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const context_1 = __importDefault(require("../../context"));
const error_1 = require("../error");
const useFeature = (featureReadableId) => {
    const hash = react_1.useRef(Math.random().toString());
    const engine = react_1.useContext(context_1.default);
    try {
        if (engine) {
            const { isEnabled, variables, metaData } = engine.getFeature(featureReadableId, hash.current);
            return [isEnabled, variables !== null && variables !== void 0 ? variables : {}, metaData];
        }
        console.error(error_1.providerError('useFeature'));
    }
    catch (_a) { }
    return [false, {}, { isDataFileAvailable: false, isDeviceIdentified: false }];
};
exports.default = useFeature;
//# sourceMappingURL=index.js.map